package com.pcloud.book.book.entity;

import java.util.Date;

import com.pcloud.common.entity.BaseEntity;

/**
 * 解冻收益
 *
 * @author ruze
 * @date 2018/1/19 14:27
 */
public class ThawEarning extends BaseEntity {

	/**
	 * 
	 */
	private static final long serialVersionUID = -7311183638471851458L;

	/**
	 * 图书标识
	 */
	private Long bookId;

	/**
	 * 是否被基金购买
	 */
	private Integer isFund;

	/**
	 * 冻结时间
	 */
	private Date freezetime;

	/**
	 * 书刊基金
	 */
	private BookFund bookFund;

	public Long getBookId() {
		return bookId;
	}

	public void setBookId(Long bookId) {
		this.bookId = bookId;
	}

	public Integer getIsFund() {
		return isFund;
	}

	public void setIsFund(Integer isFund) {
		this.isFund = isFund;
	}

	public Date getFreezetime() {
		return freezetime;
	}

	public void setFreezetime(Date freezetime) {
		this.freezetime = freezetime;
	}

	public BookFund getBookFund() {
		return bookFund;
	}

	public void setBookFund(BookFund bookFund) {
		this.bookFund = bookFund;
	}

	@Override
	public String toString() {
		return "ThawEarning [bookId=" + bookId + ", isFund=" + isFund + ", freezetime=" + freezetime + ", bookFund="
				+ bookFund + "]";
	}

}
